Mirror of the lttng-dev mailing list
 help / color / mirror / Atom feed
From: jonathan.r.julien@gmail.com (Jonathan Rajotte)
Subject: [lttng-dev] [PATCH lttng-tools] Fix: mi test: possible race between listing UST events and testapp start
Date: Sun, 26 Oct 2014 21:21:46 -0400	[thread overview]
Message-ID: <1414372906-22433-1-git-send-email-jonathan.r.julien@gmail.com> (raw)

Signed-off-by: Jonathan Rajotte <jonathan.r.julien at gmail.com>
---
 tests/regression/tools/mi/test_mi | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tests/regression/tools/mi/test_mi b/tests/regression/tools/mi/test_mi
index fa46b51..7acec18 100755
--- a/tests/regression/tools/mi/test_mi
+++ b/tests/regression/tools/mi/test_mi
@@ -507,6 +507,11 @@ function test_list_ust_event ()
 
 	#Begin testing
 	$TESTAPP_BIN $NR_USEC_WAIT & 2>/dev/null
+	pid=$!
+
+	#Wait for TESTAPP to run
+	while ! kill -0 $pid 2> /dev/null; do :; done
+
 	list_lttng_with_opts "-u -f"
 	$XML_VALIDATE $OUTPUT_DEST
 	ok $? "Mi test: list ust event xsd validation"
-- 
1.9.1




             reply	other threads:[~2014-10-27  1:21 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-10-27  1:21 Jonathan Rajotte [this message]
2014-10-27 20:48 ` Nathan Lynch
2014-10-27 22:50   ` Jonathan Rajotte
2014-10-29 18:23 ` David Goulet

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1414372906-22433-1-git-send-email-jonathan.r.julien@gmail.com \
    --to=jonathan.r.julien@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox